# $Revision: 1.24.2.1 $, $Date: 2003/03/13 00:56:43 $
%include	/usr/lib/rpm/macros.perl
%define		pdir	Crypt
%define		pnam	DES
Summary:	Crypt::DES Perl module
Summary(cs):	Modul Crypt::DES pro Perl
Summary(da):	Perlmodul Crypt::DES
Summary(de):	Crypt::DES Perl Modul
Summary(es):	Mdulo de Perl Crypt::DES
Summary(fr):	Module Perl Crypt::DES
Summary(it):	Modulo di Perl Crypt::DES
Summary(ja):	Crypt::DES Perl ⥸塼
Summary(ko):	Crypt::DES  
Summary(no):	Perlmodul Crypt::DES
Summary(pl):	Modu Perla Crypt::DES
Summary(pt):	Mdulo de Perl Crypt::DES
Summary(pt_BR):	Mdulo Perl Crypt::DES
Summary(ru):	  Perl Crypt::DES
Summary(sv):	Crypt::DES Perlmodul
Summary(uk):	  Perl Crypt::DES
Summary(zh_CN):	Crypt::DES Perl ģ
Name:		perl-Crypt-DES
Version:	2.03
Release:	5
License:	distributable
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Crypt::DES - Perl interface to DES block cipher.

%description -l pl
Crypt::DES - modu obsugujcy algorytm szyfrowania DES.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make} OPTIMIZE="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYRIGHT README
%{perl_sitearch}/Crypt/DES.pm
%dir %{perl_sitearch}/auto/Crypt/DES
%{perl_sitearch}/auto/Crypt/DES/DES.bs
%attr(755,root,root) %{perl_sitearch}/auto/Crypt/DES/DES.so
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Crypt-DES.spec,v $
Revision 1.24.2.1  2003/03/13 00:56:43  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.24  2003/02/24 20:31:51  radek
- use the __perl macro

Revision 1.23  2003/02/18 15:28:45  ankry
- massive attack: change CPAN URLs

Revision 1.22  2002/07/22 21:34:07  ankry
- translations, cleaning

Revision 1.21  2002/07/21 12:23:46  qboosh
- fixed pl description, added doc
- release 4

Revision 1.20  2002/07/10 08:46:45  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.19  2002/05/11 14:28:06  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.18  2002/02/25 10:30:24  depesz
cleanup; revision++

Revision 1.17  2002/02/22 23:29:26  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.16  2002/02/13 14:10:46  depesz
automatic: Source location unfied, Relase Up

Revision 1.15  2002/02/10 15:25:06  depesz
adapterized

Revision 1.14  2002/01/18 02:14:13  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.13  2001/11/30 01:22:53  misiek
- update to 2.02

Revision 1.12  2001/11/10 16:45:30  jajcus
- s/Distibutable/distributable/ in License

Revision 1.11  2001/05/02 21:51:25  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.10  2001/04/17 12:06:57  baggins
- release 5
- rebuild with perl 5.6.1

Revision 1.9  2001/04/14 18:00:05  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.8  2001/01/25 20:03:43  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.7  2000/12/30 05:54:02  agaran
added patch for build against perl-5.6

Revision 1.6  2000/12/30 04:43:04  kloczek
- release 4: rebuild against perl 5.6 and use new rpm automation.

Revision 1.5  2000/06/09 07:23:28  kloczek
- added using %%{__make} macro.

Revision 1.4  2000/05/16 22:13:21  kloczek
- spec adapterized.

Revision 1.3  2000/04/01 11:15:17  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.2  2000/03/28 16:54:48  baggins
- translated kloczkish into english

Revision 1.1  1999/11/10 18:25:27  pius
- initial release
